## org.pentaho.reporting.libraries.formula.operators
Interface OperatorFactory

All Known Implementing Classes:
  DefaultOperatorFactory

    public interface OperatorFactory

Creation-Date: 02.11.2006, 12:27:52

Author:
  Thomas Morgner

Method Summary
`InfixOperator` `createInfixOperator(java.lang.String operator)`
`PostfixOperator` `createPostfixOperator(java.lang.String operator)`
`PrefixOperator` `createPrefixOperator(java.lang.String operator)`
`void` `initalize(Configuration configuration)`

Method Detail

### createInfixOperator

    InfixOperator createInfixOperator(java.lang.String operator)

### createPostfixOperator

    PostfixOperator createPostfixOperator(java.lang.String operator)

### createPrefixOperator

    PrefixOperator createPrefixOperator(java.lang.String operator)

### initalize

    void initalize(Configuration configuration)